using System;
using System.Collections.Generic;

namespace Tak_Prog_Isplata
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong x;
            ulong brnovc = 0;
            ulong  V = ulong.Parse(Console.ReadLine());
            List<ulong> ListaBrojeva = new List<ulong>();
            while(V>0)
            {
                x = V % 10;
                ListaBrojeva.Add(x);
                V = V / 10;
            }
            for (int i = 0; i < ListaBrojeva.Count; i++)
            {
                if (ListaBrojeva[i] != 0)
                {
                    if (ListaBrojeva[i] == 2 || ListaBrojeva[i] == 4) brnovc += ListaBrojeva[i] / 2;
                    if (ListaBrojeva[i] == 1 || ListaBrojeva[i]== 5) brnovc++;
                    if (ListaBrojeva[i] == 9 || ListaBrojeva[i] == 8) brnovc += 3;
                    if (ListaBrojeva[i] == 3 || ListaBrojeva[i] == 6  || ListaBrojeva[i]==7) brnovc += 2;
                
                
                }

            }
            Console.WriteLine(brnovc);

        }
    }
}